# Interface IURIEditorInput

All Superinterfaces:
  `IAdaptable, IEditorInput`

All Known Implementing Classes:
  `FileEditorInput, FileInPlaceEditorInput, FileStoreEditorInput`

public interface IURIEditorInput extends IEditorInput
This interface defines an editor input based on a URI.

Clients implementing this editor input interface should override `Object.equals(Object)` to answer true for two inputs that are the same. The `IWorkbenchPage.openEditor` APIs are dependent on this to find an editor with the same input.

Path-oriented editors should support this as a valid input type, and can allow full read-write editing of its content.

All editor inputs must implement the `IAdaptable` interface; extensions are managed by the platform's adapter manager.

Since:
  3.3
See Also:
  - `URI`

## Method Summary

Modifier and Type
Method
Description
`URI`
`getURI()`
Returns the `URI` of the file underlying this editor input.

### Methods inherited from interface IAdaptable

`getAdapter`

### Methods inherited from interface IEditorInput

`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

## Method Details

### getURI

URI getURI()
Returns the `URI` of the file underlying this editor input.

Returns:
  `URI`